summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-05-27 00:46:12 +0200
committerPeter Korsgaard <jacmet@sunsite.dk>2010-05-27 00:46:12 +0200
commit2f4fb5b512b8988b92740af1b3790efdef81cf26 (patch)
treeb0f5599bcdd89795c992af13c3987a77484fcf42
parent2f9784f3961e98b54bda2e2f71cbb84f74f32075 (diff)
parentc87eb21e00ac4d5e2106565f8ea70473895289ae (diff)
Merge branch 'dependencies-fixes' of git://git.busybox.net/~tpetazzoni/git/buildroot
-rwxr-xr-xtoolchain/dependencies/dependencies.sh23
1 files changed, 19 insertions, 4 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 923c76bcd..34149c1a3 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -23,10 +23,10 @@ fi
# sanity check for CWD in LD_LIBRARY_PATH
# try not to rely on egrep..
if test -n "$LD_LIBRARY_PATH" ; then
- /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':.:' >/dev/null 2>&1 ||
- /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep 'TRiGGER_start:' >/dev/null 2>&1 ||
- /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':TRiGGER_end' >/dev/null 2>&1 ||
- /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep '::' >/dev/null 2>&1
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':\.:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep 'TRiGGER_start\.:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':\.TRiGGER_end' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep 'TRiGGER_start\.TRiGGER_end' >/dev/null 2>&1
if test $? = 0; then
/bin/echo -e "\nYou seem to have the current working directory in your"
/bin/echo -e "LD_LIBRARY_PATH environment variable. This doesn't work.\n"
@@ -34,6 +34,21 @@ if test -n "$LD_LIBRARY_PATH" ; then
fi
fi;
+# sanity check for CWD in PATH. Having the current working directory
+# in the PATH makes the toolchain build process break.
+# try not to rely on egrep..
+if test -n "$PATH" ; then
+ /bin/echo TRiGGER_start"$PATH"TRiGGER_end | /bin/grep ':\.:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$PATH"TRiGGER_end | /bin/grep 'TRiGGER_start\.:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$PATH"TRiGGER_end | /bin/grep ':\.TRiGGER_end' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$PATH"TRiGGER_end | /bin/grep 'TRIGGER_start\.TRIGGER_end' >/dev/null 2>&1
+ if test $? = 0; then
+ /bin/echo -e "\nYou seem to have the current working directory in your"
+ /bin/echo -e "PATH environment variable. This doesn't work.\n"
+ exit 1;
+ fi
+fi;
+
# Verify that which is installed
if ! which which > /dev/null ; then
/bin/echo -e "\nYou must install 'which' on your build machine\n";